Subject: [alpine-aports] [PATCHi 1/2] testing/libcouchbase: upgrade to 2.7.3

From: Valery Kartel <[email-masked]>
Date: Wed, 22 Mar 2017 01:34:00 +0200

---
 testing/libcouchbase/APKBUILD | 61 ++++++++++++++++++++-----------------------
 1 file changed, 28 insertions(+), 33 deletions(-)

diff --git a/testing/libcouchbase/APKBUILD b/testing/libcouchbase/APKBUILD
index cbaef62887..aa3b310e52 100644
--- a/testing/libcouchbase/APKBUILD
+++ b/testing/libcouchbase/APKBUILD
@@ -1,47 +1,50 @@
 # Contributor: Nathan Johnson <[email-masked]>
 # Maintainer: Nathan Johnson <[email-masked]>
 pkgname=libcouchbase
-pkgver=2.6.3
-pkgrel=2
+pkgver=2.7.3
+pkgrel=0
 pkgdesc="C client library for Couchbase"
-url="http://developer.couchbase.com/community"
+url="https://developer.couchbase.com/community"
 arch="all"
-license="ASL-2.0"
-depends=""
+license="ASL 2.0"
+depends=
 depends_dev="musl-dev libressl-dev snappy-dev"
 makedepends="$depends_dev cmake perl libtool libev-dev libevent-dev libuv-dev"
 subpackages="$pkgname-dev $pkgname-bin $pkgname-doc $pkgname-libevent $pkgname-libev $pkgname-libuv"
-source="$pkgname-$pkgver.tar.gz::https://github.com/couchbase/libcouchbase/archive/${pkgver}.tar.gz
+source="$pkgname-$pkgver.tar.gz::https://github.com/couchbase/libcouchbase/archive/$pkgver.tar.gz
 	disable_git_version_check.patch
 	fix_snappy.patch
 	fix_socktest.patch"
-builddir="$srcdir/libcouchbase-$pkgver"
+builddir="$srcdir/$pkgname-$pkgver"
 
 build() {
-	cd "$builddir"
+	mkdir "$builddir"/build
+	cd "$builddir"/build
+	../cmake/configure \
+		--prefix=/usr \
+		--disable-couchbasemock \
+		|| return 1
+	make
+}
 
-	rm -rf build && mkdir build && cd build
-	../cmake/configure --prefix=/usr --disable-couchbasemock || return 1
-	make || return 1
-	ctest || return 1
+check() {
+	cd "$builddir"/build
+	ctest
 }
 
 package() {
-	cd "$builddir"/build
-	make install DESTDIR="$pkgdir" || return 1
+	make -C "$builddir"/build install DESTDIR="$pkgdir" || return 1
 }
 
 dev() {
-	pkgdesc="$pkgdesc (development files)"
-	depends="$pkgname"
-
-	# can't use default_dev because it grabs /usr/bin/cbc-write-config
-	mkdir -p "$subpkgdir"/usr
-	mv "$pkgdir"/usr/include "$subpkgdir"/usr/
+	default_dev || return 1
+	mv "$subpkgdir"/usr/bin/cbc-write-config \
+		"$pkgdir"/usr/bin || return 1
+	rmdir "$subpkgdir"/usr/bin
 }
 
 libevent() {
-	pkgdesc="libevent backend for libcouchbase"
+	pkgdesc="$pkgdesc (libevent backend)"
 	depends="$pkgname libevent"
 
 	mkdir -p "$subpkgdir"/usr/lib
@@ -49,7 +52,7 @@ libevent() {
 }
 
 libev() {
-	pkgdesc="libev backend for libcouchbase"
+	pkgdesc="$pkgdesc (libev backend)"
 	depends="$pkgname libev"
 
 	mkdir -p "$subpkgdir"/usr/lib
@@ -57,7 +60,7 @@ libev() {
 }
 
 libuv() {
-	pkgdesc="libuv backend for libcouchbase"
+	pkgdesc="$pkgdesc (libuv backend)"
 	depends="$pkgname libuv"
 
 	mkdir -p "$subpkgdir"/usr/lib
@@ -65,22 +68,14 @@ libuv() {
 }
 
 bin() {
-	pkgdesc="Command line utilities for Couchbase"
+	pkgdesc="$pkgdesc (command line utilities)"
 	depends="$pkgname"
 
 	mkdir -p "$subpkgdir"/usr/bin
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/
 }
 
-md5sums="5f9380a382e933e85d24a67387354d5c  libcouchbase-2.6.3.tar.gz
-99f6fd7df5b3ccf4be9bc3363a96efea  disable_git_version_check.patch
-30a98601dd98849434379055b077e8fe  fix_snappy.patch
-00792fefbf19d29257411285afad5dd5  fix_socktest.patch"
-sha256sums="97b849065e94989126682b5b89d839080657c68e37430f254319bcdb653cd6c2  libcouchbase-2.6.3.tar.gz
-c323477ab7d2dddad9decf85b00e64a9b13e4e0c9eb78890e8c2ff99cee9ed3b  disable_git_version_check.patch
-4841f7eea5091917bc9735447d59b839a9aea6582bbe69c3c5d41f6b5458eea1  fix_snappy.patch
-541a8d97d1e84fcbbee65014e7f81efa312c0f592975e168d7c81ded5a585152  fix_socktest.patch"
-sha512sums="cd47e8b19b2513520f50073ca6e4f5444325cc724e108d50904a1c6b9c52ce864d9ccf0e9c0e5665a96f0e0982162083e9fca8e64b27c4446b5787619871b662  libcouchbase-2.6.3.tar.gz
+sha512sums="606969bfd49a285ae0c0b60b2f6823f0dad85c94a3597bf8f0205f10b25ca9f205a335f5bde20ccf11d010a42bd9c0bbe6599ae58851ac7a402c065168f04c01  libcouchbase-2.7.3.tar.gz
 987b76b9c8a38a1f144bcada3c24192b30b352c993c433f4a2a1e381b765ae6bb845ebc6393c794da1b4efbb68fd1d34b027104fecf5c9bcc29b0f58c7f6a474  disable_git_version_check.patch
 9023fe6c0d88577f40598f201be121012199167e9eef7e99da29664d23fd5e0c488fad2eda88ed3b30ea089b60e760c1b472bb46bb0804b5f7bb7091f0d8a2ed  fix_snappy.patch
 72319b86fdd91728723ccb091e72199788a84e2ec9ea12c0fcd1ed686eb155ec11e0addbff96735f83e7f31764a85650f0483b6e76d3a8bee16f71b2751fe4a9  fix_socktest.patch"
-- 
2.12.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---